-- this is a level 3 plug-in, the beginnings of a Vicuna Material by Carlos Valcrcel
-- It extends Standard material

plugin material Custom name:"Custom Material" classID:#(695425,446581) extends:Standard replaceUI:true version:1 
(   

	parameters main rollout:params 

	( 
		diffuseMap type:#texturemap  ui:DiffuseMap
		
		diffuse type:#color default:white ui:diffuse

				
		on DiffuseMap set texmap do
		(
			delegate.diffuseMap = texmap
		)
		
		on diffuse set val do
		(
			delegate.diffuse = val
			diffuse=val
		)
	) 

	rollout params "Params" 

	( 
		group "Visual" 
		(
			mapButton DiffuseMap "None" width:200
			colorpicker diffuse "Diffuse color: "
		)		
	) 

	on create do 

	( 
		delegate.adLock = false
		delegate.dsLock = false
		delegate.adTextureLock = false
		delegate.useSelfIllumColor = true
	) 

)
